> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List scheduling leads

> This endpoint retrieves scheduling leads for a specific location.

- The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json get /locations/{location_id}/scheduling_leads
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /locations/{location_id}/scheduling_leads:
    get:
      tags:
        - Scheduling Leads
      summary: List scheduling leads
      description: >-
        This endpoint retrieves scheduling leads for a specific location.


        - The `q[fetch_modified_since]` is used to capture the delta changes,
        pass the datetime in UTC
      operationId: locations_resources_scheduling_leads_list
      parameters:
        - name: location_id
          in: path
          required: true
          description: >-
            The ID of the location for which scheduling leads are to be
            retrieved.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        attributes:
                          type: object
                          properties:
                            lead_type:
                              type: string
                            source_type:
                              type: string
                            tenant_id:
                              type: number
                            attribution_params:
                              type: object
                              properties:
                                utm_source:
                                  type: string
                                utm_medium:
                                  type: string
                                utm_campaign:
                                  type: string
                                utm_term:
                                  type: string
                                utm_channel:
                                  type: string
                                utm_ad:
                                  type: string
                                utm_ci:
                                  type: string
                                utm_cm:
                                  type: string
                                callreport_id:
                                  type: string
                                campaignid:
                                  type: string
                                call_start_utc:
                                  type: string
                                call_end_utc:
                                  type: string
                                call_start_local:
                                  type: string
                                call_end_local:
                                  type: string
                                duration_seconds:
                                  type: string
                                termination_number:
                                  type: string
                                caller_number:
                                  type: string
                                caller_id:
                                  type: string
                            patient:
                              type: string
                              example: patient object
                            appointment:
                              type: string
                              example: appointment object
                  pagy:
                    type: object
                    properties:
                      total:
                        type: number
                      items:
                        type: number
              example:
                data:
                  - id: string
                    type: string
                    attributes:
                      lead_type: string
                      source_type: string
                      tenant_id: 0
                      attribution_params:
                        utm_source: string
                        utm_medium: string
                        utm_campaign: string
                        utm_term: string
                        utm_channel: string
                        utm_ad: string
                        utm_ci: string
                        utm_cm: string
                        callreport_id: string
                        campaignid: string
                        call_start_utc: string
                        call_end_utc: string
                        call_start_local: string
                        call_end_local: string
                        duration_seconds: string
                        termination_number: string
                        caller_number: string
                        caller_id: string
                      patient: patient object
                      appointment: appointment object
                pagy:
                  total: 0
                  items: 0
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
        '429':
          description: >-
            Concurrency limit exceeded. The request was not executed; retry is
            safe.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                  sync_type:
                    type: string
                    enum:
                      - initial
                      - incremental
                  max_concurrent_locations:
                    type: integer
                  active_location_ids:
                    type: array
                    items:
                      type: integer
                  retry_after_seconds:
                    type: integer
              example:
                errors: >-
                  Too many locations syncing concurrently. At most 5 locations
                  may have initial sync requests in flight at a time.
                sync_type: initial
                max_concurrent_locations: 5
                active_location_ids:
                  - 101
                  - 102
                  - 103
                  - 104
                  - 105
                retry_after_seconds: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````